header {
    border-bottom: 1px solid var(--c-primario);
    
    .inside-header {
        .menu-item {
            &:not(:first-child) {
                margin-left: 10px;
            }

            a {
                position: relative;
                font-weight: 400;
                font-size: 1rem;
                overflow: hidden;
                -webkit-transition: all 0.3s;
                transition: all 0.3s;

                &::after {
                    content: "";
                    background: var(--c-primario);
                    position: absolute;
                    z-index: -1;
                    width: 100%;
                    height: 1px;
                    -webkit-transition: all 0.3s;
                    transition: all 0.3s;
                    opacity: 0;
                    bottom: 0;
                    left: -100%;
                }

                &:hover {
                    &::after {
                        opacity: 1;
                        left: 0;
                    }
                }
            }

            &.current-menu-item {
                a {
                    font-weight: 600;

                    &::after {
                        opacity: 1;
                        right: 0;
                    }
                }
            }

            .sub-menu {
                .menu-item {
                    margin-left: 0;

                    a {
                        transition: all 0.35s;
                        
                        &::after {
                            display: none;
                        }
                    }
                }
            }
        }

        .navigation-stick {
            padding: 5px;
            background-color: var(--c-blanco);

            .menu-item {
                a {
                    color: var(--c-negro) !important;
                }
            }
        }

        .site-logo, .sticky-navigation-logo {
            a {
                transition: all 0.3s ease-in-out;

                &:hover {
                    opacity: 0.75;
                }
            }
        }
    }
}

#generate-slideout-menu {
    padding-top: 60px;
    
    .menu-item {
        a {
            position: relative;
            font-weight: 400;
            font-size: 1rem;
            transition: all 0.35s;

            &::before {
                content: "";
                background: var(--c-primario);
                position: absolute;
                inset: 0;
                z-index: -1;
                width: 100%;
                height: 100%;
                -webkit-transition: all 0.3s;
                transition: all 0.3s;
                opacity: 0;
            }
        }

        &.current-menu-item {
            a {
                &::before {
                    opacity: 1;
                }
            }
        }
    }
}

.top-bar {
    .inside-top-bar {
        .widget {
            width: 100%;

            .topbar-header {
                display: flex;
                align-items: center;
                justify-content: space-between;

                a {
                    text-decoration: none;
                }

                & > div:last-child {
                    text-align: right;
                }
            }
        }
    }
}

@media screen and (max-width: 1024px) {
    .top-bar {
        .inside-top-bar {
            .widget {
                width: 100%;
                
                .topbar-header {
                    & > div:first-child {
                        display: none;
                    }
                    & > div:last-child {
                        text-align: center;
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 768px) {
    header {
        .inside-header {
            .navigation-stick {
                .menu-toggle {
                    color: var(--c-negro);
                }
            }
            
            .site-logo {
                img {
                    width: 100px;
                }
            }
        }
    }
}